void selectFile () {
  selectInput("Select an image file:", "fileSelected");
  selecting = 1;
  // selectInput (null,null);
}


void saveState (int whichState, float xPos, float yPos, int widthOfThumbnail, int heightOfThumbnail) {

  saveFrame ("state" + whichState +".jpg");
  saveState1 = loadImage ("state1.jpg");
  saveState2 = loadImage ("state2.jpg");
  saveState3 = loadImage ("state3.jpg");

  println("saveState called");
}


void adjustSwath () {

  if (mouseX < width/2) {
      swathIndicatorX = mouseX;
      swathIndicatorWidth = (swathIndicatorX-width/2)*-2 ;
  }

  if (mouseX >= width/2) {
      swathIndicatorX = width/2-(mouseX-width/2);
      swathIndicatorWidth = (swathIndicatorX-width/2)*-2 ;
  } 

  if (mouseY<swathIndicatorCenterY) {
      swathIndicatorY = mouseY;
      swathIndicatorHeight = (swathIndicatorCenterY-mouseY)*2;
  }

  if (mouseY>=swathIndicatorCenterY) {
      swathIndicatorY = swathIndicatorCenterY - (mouseY-swathIndicatorCenterY);
      swathIndicatorHeight = (swathIndicatorCenterY-mouseY)*-2;
  }

  if (swathIndicatorX < (width/2)-50) {
      swathIndicatorX = (width/2)-50;
  }

  swathWidth = swathIndicatorWidth *10.75;       // was 7.25
  swathHeight = swathIndicatorHeight * 12.25;   // was 9.25
}

void delayALittle() {
  delay (1000);
}

void fileSelected(File selection) {
  if (selection == null) {
    selecting = 1;
    //println("Window was closed or the user hit cancel.");
  } else {
    //println("User selected " + selection.getAbsolutePath());
    loadedImage = loadImage(selection.getAbsolutePath());

    fill(255, 255);
    tint(255, 255);
    image (loadedImage, 0, 0, width+1, height);
    selecting = 0;
    loadedImage = null;
  }
}
